Cups Update for openSUSE Leap 42.3
Posted on: 03/07/2018 10:08 AM

Updated cups packages has been released for openSUSE Leap 42.3

Cups Update for openSUSE Leap 42.3


openSUSE Security Update: Security update for cups
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0618-1
Rating: important
References: #1081557
Cross-References: CVE-2017-18190
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for cups fixes the following issues:

- CVE-2017-18190: Removed localhost.localdomain from list
of trustworthy hosts in scheduler/client.c to avoid arbitrary IPP
command execution in conjunction with DNS rebinding. (bsc#1081557)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-225=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

cups-1.7.5-12.3.1
cups-client-1.7.5-12.3.1
cups-client-debuginfo-1.7.5-12.3.1
cups-ddk-1.7.5-12.3.1
cups-ddk-debuginfo-1.7.5-12.3.1
cups-debuginfo-1.7.5-12.3.1
cups-debugsource-1.7.5-12.3.1
cups-devel-1.7.5-12.3.1
cups-libs-1.7.5-12.3.1
cups-libs-debuginfo-1.7.5-12.3.1

- openSUSE Leap 42.3 (x86_64):

cups-libs-32bit-1.7.5-12.3.1
cups-libs-debuginfo-32bit-1.7.5-12.3.1


References:

https://www.suse.com/security/cve/CVE-2017-18190.html
https://bugzilla.suse.com/1081557



Printed from Linux Compatible (https://www.linuxcompatible.org/news/story/cups_update_for_opensuse_leap_42_3.html)